MsWrdStruct::Font Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MsWrdStruct::Font Struct Reference

the font structure of a Microsoft Word file More...

`#include <MsWrdStruct.hxx>`

## Public Types
enum | { NumFlags =9 }

## Public Member Functions
| Font ()
| the constructor More...
void | insert (Font const &font, Font const *styleFont=0)
| insert new font data ( beginning by updating font flags ) More...
void | updateFontToFinalState (Font const *styleFont=0)
| update the font to obtain the final font More...
int | cmp (Font const &oth) const
| a comparison function More...

## Public Attributes
Variable< MWAWFont > | m_font
| the font More...
Variable< float > | m_size
| a second size More...
Variable< int > | m_value
| a unknown value More...
Variable< int > | m_flags [NumFlags]
| a list of flags More...
Variable< long > | m_picturePos
| a picture file position (if this corresponds to a picture) More...
Variable< int > | m_unknown
| some unknown flag More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<< More...

## Detailed Description

the font structure of a Microsoft Word file

## Member Enumeration Documentation

anonymous enum

Enumerator
NumFlags | the number of flags needed to store all datas

## Constructor & Destructor Documentation

MsWrdStruct::Font::Font | ( |  | ) |
| inline

the constructor

## Member Function Documentation

int MsWrdStruct::Font::cmp | ( | Font const & | oth | ) | const
| inline

a comparison function

void MsWrdStruct::Font::insert | ( | Font const & | font,
|  | Font const * | styleFont = `0`
| ) |  |

insert new font data ( beginning by updating font flags )

Referenced by MsWrdStruct::Paragraph::getFont(), and MsWrdText::prepareFontProperties().

void MsWrdStruct::Font::updateFontToFinalState | ( | Font const * | styleFont = `0` | ) |

update the font to obtain the final font

Referenced by insert(), and MsWrdTextStyles::setProperty().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | font
| ) |  |
| friend

operator<<

## Member Data Documentation

std::string MsWrdStruct::Font::m_extra

extra data

Referenced by insert(), MsWrdStruct::operator<<(), and MsWrdTextStyles::readFont().

Variable<int> MsWrdStruct::Font::m_flags[NumFlags]

a list of flags

Referenced by cmp(), insert(), MsWrdStruct::operator<<(), and updateFontToFinalState().

Variable<MWAWFont> MsWrdStruct::Font::m_font

the font

Referenced by cmp(), MsWrdTextStyles::getFont(), insert(), MsWrdStruct::operator<<(), MsWrdText::prepareData(), MsWrdTextStyles::readFont(), MsWrdTextStyles::readPLC(), MsWrdTextStyles::readStylesFont(), MsWrdText::sendFieldComment(), MsWrdTextStyles::setProperty(), and updateFontToFinalState().

Variable<long> MsWrdStruct::Font::m_picturePos

a picture file position (if this corresponds to a picture)

Referenced by cmp(), insert(), MsWrdStruct::operator<<(), MsWrdTextStyles::readFont(), and MsWrdText::sendText().

Variable<float> MsWrdStruct::Font::m_size

a second size

Referenced by cmp(), insert(), MsWrdStruct::operator<<(), and MsWrdTextStyles::readFont().

Variable<int> MsWrdStruct::Font::m_unknown

some unknown flag

Referenced by cmp(), insert(), MsWrdStruct::operator<<(), and MsWrdTextStyles::readFont().

Variable<int> MsWrdStruct::Font::m_value

a unknown value

Referenced by cmp(), insert(), and MsWrdStruct::operator<<().

The documentation for this struct was generated from the following files:

- MsWrdStruct.hxx
- MsWrdStruct.cxx